# Software instructions

This folder contains two Python scripts that has been used for thermistor measurements with the Keithley2000 digital multimeter. 

The script **Keithley_Interface_25Hz.py** reads resistance value from the multimeter and saves the to a text file using the system timestamps. The calculated temperature value is calculated and saved as well. Note that this temperature calculation is thermistor specific. Please revisit thermistor parameters for a different product.

You can run the script via a terminal or with ide. The measurement parameters of the multimeter were adjusted manually. Therefore, the device must be taken to the resistance measurement manually. The filter and averaging in the device were disabled for faster operations. The LCD is turned off by the script. You can enable it later.

The serial connection is adjusted to 19200 baudrate. The multimeter should also be adjusted to the same baudrate. In addition, the serial connection port is not automatically adjusted. You should determine the USB port manually and change it in script.

The timing settings are about the limits of the Keithley2000 in this NPLC settings. The device may give errors, beeps, and sends some incorrect data. Not all of them are handled. You can decrease the reading rate by changing the ‘rate’ parameter. About 13-15Hz is usually ok, when LCD is open and NPLC is in default mode.

The other script **Plot_Keithley_v3.py** plots the data for every 3 seconds. The matplotlib backend is adjusted to Tkagg for Linux compatibility. It should also work in Windows. Other backends like Qt can be realized as well.
